Уязвимость BDU:2019-02942

Дата: 29.06.2019. Автор: ФСТЭК России. Категории: Уязвимости

Идентификатор: BDU:2019-02942.

Наименование уязвимости: Уязвимость сетевого программного средства SKS Keyserver и программы для шифрования информации и создания электронных цифровых подписей GNU Privacy Guard (GnuPG), связанная с отсутствием проверки хостовых данных сертификата, позволяющая нарушителю вызвать отказ в обслуживании.

Описание уязвимости: Уязвимость сетевого программного средства SKS Keyserver и программы для шифрования информации и создания электронных цифровых подписей GNU Privacy Guard (GnuPG) связана с отсутствием проверки хостовых данных сертификата. Эксплуатация уязвимости может позволить нарушителю, действующему удаленно, вызвать отказ в обслуживании
Уязвимое ПО: Операционная система Fedora Project Fedora 29 | Прикладное ПО информационных систем Novell Inc. SUSE Linux Enterprise Module for Basesystem 15 | Прикладное ПО информационных систем Novell Inc. SUSE Linux Enterprise Module for Basesystem 15 SP1 | Операционная система Novell Inc. OpenSUSE Leap 15.0 | Операционная система Novell Inc. OpenSUSE Leap 15.1 | Операционная система Fedora Project Fedora 30 | Сетевое программное средство SKS Keyserver до 1.2.0 включительно | Программное средство защиты GNU Privacy Guard (GnuPG) до 2.2.16 включительно |

Наименование ОС и тип аппаратной платформы: Fedora 29 | OpenSUSE Leap 150 | OpenSUSE Leap 151 | Fedora 30 |
Дата выявления: 29.06.2019.
CVSS 2.0: AV:N/AC:L/Au:N/C:N/I:N/A:C
Уровень опасности уязвимости: Высокий уровень опасности (базовая оценка CVSS 2.0 составляет 7,8)
Высокий уровень опасности (базовая оценка CVSS 3.0 составляет 7,5)

Возможные меры по устранению:
Использование рекомендаций:
Для SKS Keyserver:
https://lists.gnupg.org/pipermail/gnupg-announce/2019q3/000439.html

Для GNU Privacy Guard (GnuPG):
https://lists.gnupg.org/pipermail/gnupg-announce/2019q3/000439.html

Для Fedora:
https://lists.fedoraproject.org/archives/list/package-announce@lists.fedoraproject.org/message/AUK2YRO6QIH64WP2LRA5D4LACTXQPPU4/
https://lists.fedoraproject.org/archives/list/package-announce@lists.fedoraproject.org/message/CP4ON34YEXEZDZOXXWV43KVGGO6WZLJ5/

Для программных продуктов Novell Inc.:
https://lists.opensuse.org/opensuse-security-announce/2019-08/msg00039.html.
Статус уязвимости: Подтверждена производителем
Наличие эксплойта: Существует в открытом доступе
Информация об устранении: Уязвимость устранена
Идентификаторы других систем описаний уязвимости: CVE-2019-13050.
Прочая информация:
Тип ошибки CWE: CWE-297
Ссылки на источники:
cайт ФАУ «ГНИИИ ПТЗИ ФСТЭК России».
https://gist.github.com/rjhansen/67ab921ffb4084c865b3618d6955275f
https://lists.fedoraproject.org/archives/list/package-announce@lists.fedoraproject.org/message/AUK2YRO6QIH64WP2LRA5D4LACTXQPPU4/
https://lists.fedoraproject.org/archives/list/package-announce@lists.fedoraproject.org/message/CP4ON34YEXEZDZOXXWV43KVGGO6WZLJ5/
https://lists.gnupg.org/pipermail/gnupg-announce/2019q3/000439.html


https://access.redhat.com/security/cve/cve-2019-13050
https://lists.opensuse.org/opensuse-security-announce/2019-08/msg00039.html

Об авторе ФСТЭК России

Аккаунт для добавления уязвимостей с банка данных угроз безопасности информации ФСТЭК России. Не является оф. аккаунтом ФСТЭК России.
Читать все записи автора ФСТЭК России

Добавить комментарий

Ваш адрес email не будет опубликован. Обязательные поля помечены *